Index: select.c
===================================================================
--- select.c	(revision 2f690811f743b0ec04fdd98ce530c5a296c031df)
+++ select.c	(revision 1895c292a4af5f8fb2b9305e3ea30bebe2ec9b4e)
@@ -2,4 +2,83 @@
 
 static const char fileIdent[] = "$Id: select.c 894 2008-01-17 07:13:44Z asedeno $";
+
+static int dispatch_active = 0;
+
+int _owl_select_timer_cmp(owl_timer *t1, owl_timer *t2) {
+  return t1->time - t2->time;
+}
+
+int _owl_select_timer_eq(owl_timer *t1, owl_timer *t2) {
+  return t1 == t2;
+}
+
+owl_timer *owl_select_add_timer(int after, int interval, void (*cb)(owl_timer *, void *), void (*destroy)(owl_timer*), void *data)
+{
+  owl_timer *t = owl_malloc(sizeof(owl_timer));
+  GList **timers = owl_global_get_timerlist(&g);
+
+  t->time = time(NULL) + after;
+  t->interval = interval;
+  t->callback = cb;
+  t->destroy = destroy;
+  t->data = data;
+
+  *timers = g_list_insert_sorted(*timers, t,
+                                 (GCompareFunc)_owl_select_timer_cmp);
+  return t;
+}
+
+void owl_select_remove_timer(owl_timer *t)
+{
+  GList **timers = owl_global_get_timerlist(&g);
+  if (t && g_list_find(*timers, t)) {
+    *timers = g_list_remove(*timers, t);
+    if(t->destroy) {
+      t->destroy(t);
+    }
+    owl_free(t);
+  }
+}
+
+void owl_select_process_timers(struct timeval *timeout)
+{
+  time_t now = time(NULL);
+  GList **timers = owl_global_get_timerlist(&g);
+
+  while(*timers) {
+    owl_timer *t = (*timers)->data;
+    int remove = 0;
+
+    if(t->time > now)
+      break;
+
+    /* Reschedule if appropriate */
+    if(t->interval > 0) {
+      t->time = now + t->interval;
+      *timers = g_list_remove(*timers, t);
+      *timers = g_list_insert_sorted(*timers, t,
+                                     (GCompareFunc)_owl_select_timer_cmp);
+    } else {
+      remove = 1;
+    }
+
+    /* Do the callback */
+    t->callback(t, t->data);
+    if(remove) {
+      owl_select_remove_timer(t);
+    }
+  }
+
+  if(*timers) {
+    owl_timer *t = (*timers)->data;
+    timeout->tv_sec = t->time - now;
+    if (timeout->tv_sec > 60)
+      timeout->tv_sec = 60;
+  } else {
+    timeout->tv_sec = 60;
+  }
+
+  timeout->tv_usec = 0;
+}
 
 /* Returns the index of the dispatch for the file descriptor. */
@@ -19,4 +98,17 @@
 }
 
+void owl_select_remove_dispatch_at(int elt) /* noproto */
+{
+  owl_list *dl;
+  owl_dispatch *d;
+
+  dl = owl_global_get_dispatchlist(&g);
+  d = (owl_dispatch*)owl_list_get_element(dl, elt);
+  owl_list_remove_element(dl, elt);
+  if (d->destroy) {
+    d->destroy(d);
+  }
+}
+
 /* Adds a new owl_dispatch to the list, replacing existing ones if needed. */
 void owl_select_add_dispatch(owl_dispatch *d)
@@ -24,4 +116,6 @@
   int elt;
   owl_list *dl;
+
+  d->needs_gc = 0;
 
   elt = owl_select_find_dispatch(d->fd);
@@ -34,11 +128,8 @@
        replace the old dispatch. */
     if (d_old != d) {
-      owl_list_replace_element(dl, elt, d);
-      owl_free(d_old);
-    }
-  }
-  else {
-    owl_list_append_element(dl, d);
-  }
+      owl_select_remove_dispatch_at(elt);
+    }
+  }
+  owl_list_append_element(dl, d);
 }
 
@@ -48,16 +139,16 @@
   int elt;
   owl_list *dl;
+  owl_dispatch *d;
 
   elt = owl_select_find_dispatch(fd);
-  dl = owl_global_get_dispatchlist(&g);
-  
-  if (elt != -1) {
-    owl_dispatch *d;
+  if(elt == -1) {
+    return;
+  } else if(dispatch_active) {
+    /* Defer the removal until dispatch is done walking the list */
+    dl = owl_global_get_dispatchlist(&g);
     d = (owl_dispatch*)owl_list_get_element(dl, elt);
-    owl_list_remove_element(dl, elt);
-    if (d->pfunc) {
-      owl_perlconfig_dispatch_free(d);
-    }
-    owl_free(d);
+    d->needs_gc = 1;
+  } else {
+    owl_select_remove_dispatch_at(elt);
   }
 }
@@ -75,5 +166,5 @@
   if (elt != -1) {
     d = (owl_dispatch*)owl_list_get_element(owl_global_get_dispatchlist(&g), elt);
-    if (d->pfunc == NULL) {
+    if (d->cfunc != owl_perlconfig_dispatch) {
       /* don't mess with non-perl dispatch functions from here. */
       return 1;
@@ -83,6 +174,7 @@
   d = malloc(sizeof(owl_dispatch));
   d->fd = fd;
-  d->cfunc = NULL;
-  d->pfunc = cb;
+  d->cfunc = owl_perlconfig_dispatch;
+  d->destroy = owl_perlconfig_dispatch_free;
+  d->data = cb;
   owl_select_add_dispatch(d);
   return 0;
@@ -97,6 +189,6 @@
   if (elt != -1) {
     d = (owl_dispatch*)owl_list_get_element(owl_global_get_dispatchlist(&g), elt);
-    if (d->pfunc != NULL) {
-      owl_select_remove_dispatch(fd);
+    if (d->cfunc == owl_perlconfig_dispatch) {
+      owl_select_remove_dispatch_at(elt);
       return 0;
     }
@@ -125,4 +217,22 @@
 }
 
+void owl_select_gc()
+{
+  int i;
+  owl_list *dl;
+
+  dl = owl_global_get_dispatchlist(&g);
+  /*
+   * Count down so we aren't set off by removing items from the list
+   * during the iteration.
+   */
+  for(i = owl_list_get_size(dl) - 1; i >= 0; i--) {
+    owl_dispatch *d = owl_list_get_element(dl, i);
+    if(d->needs_gc) {
+      owl_select_remove_dispatch_at(i);
+    }
+  }
+}
+
 void owl_select_dispatch(fd_set *fds, int max_fd)
 {
@@ -133,17 +243,20 @@
   dl = owl_global_get_dispatchlist(&g);
   len = owl_select_dispatch_count();
+
+  dispatch_active = 1;
+
   for(i = 0; i < len; i++) {
     d = (owl_dispatch*)owl_list_get_element(dl, i);
     /* While d shouldn't normally be null, the list may be altered by
      * functions we dispatch to. */
-    if (d != NULL && FD_ISSET(d->fd, fds)) {
+    if (d != NULL && !d->needs_gc && FD_ISSET(d->fd, fds)) {
       if (d->cfunc != NULL) {
-        (d->cfunc)();
+        d->cfunc(d);
       }
-      else if (d->pfunc != NULL) {
-        owl_perlconfig_do_dispatch(d);
-      }
-    }
-  }
+    }
+  }
+
+  dispatch_active = 0;
+  owl_select_gc();
 }
 
@@ -182,6 +295,5 @@
   struct timeval timeout;
 
-  timeout.tv_sec = 1;
-  timeout.tv_usec = 0;
+  owl_select_process_timers(&timeout);
 
   max_fd = owl_select_dispatch_prepare_fd_sets(&r, &e);
Index: tester.c
===================================================================
--- tester.c	(revision 1cf3f8d3cf08ed3fb38d1c83459a1db140cb0d17)
+++ tester.c	(revision 33813991523c10b91982179dd48f55b4dc3ce7b8)
@@ -6,140 +6,4 @@
 
 owl_global g;
-
-void screeninit()
-{
-  char buff[1024];
-  
-  sprintf(buff, "TERMINFO=%s", TERMINFO);
-  putenv(buff);
-
-  initscr();
-  start_color();
-  /* cbreak(); */
-  raw();
-  noecho();
-  intrflush(stdscr,FALSE);
-  keypad(stdscr,TRUE);
-  nodelay(stdscr,1);
-  clear();
-  refresh();
-  meta(stdscr, TRUE);
-}
-
-void test1()
-{
-  int j;
-  owl_editwin e;
-
-  screeninit();
-
-  owl_editwin_init(&e, stdscr, LINES, COLS, OWL_EDITWIN_STYLE_MULTILINE, NULL);
-  /* owl_editwin_set_locktext(&e, "Here is some locktext:\n");*/
-  doupdate();
-  while (1) {
-    usleep(50);
-
-    j=getch();
-
-    if (j==ERR) continue;
-
-    if (j==3) break;
-
-    if (j==27) {
-      j=getch();
-      if (j==ERR) continue;
-      owl_editwin_process_char(&e, j);
-      doupdate();
-    } else {
-      owl_editwin_process_char(&e, j);
-      doupdate();
-    }
-  }
-  endwin();
-  printf("Had:\n%s", owl_editwin_get_text(&e));
-}
-
-void test2(char *in)
-{
-  owl_fmtext t;
-
-  screeninit();
-
-  owl_fmtext_init_null(&t);
-  owl_fmtext_append_ztext(&t, in);
-  owl_fmtext_curs_waddstr(&t, stdscr);
-  wrefresh(stdscr);
-  sleep(5000);
-  endwin();
-}
-
-void test3()
-{
-  ZNotice_t *n;
-
-  printf("%i\n", sizeof(n->z_uid.zuid_addr));
-  /* gethostbyaddr((char *) &(n->z_uid.zuid_addr), sizeof(n->z_uid.zuid_addr), AF_INET); */
-}
-
-void colorinfo()
-{
-  char buff[1024];
-  
-  screeninit();
-  sprintf(buff, "Have %i COLOR_PAIRS\n", COLOR_PAIRS);
-  addstr(buff);
-  refresh();
-  sleep(10);
-  endwin();  
-}
-
-void test4()
-{
-  int j;
-  char buff[1024];
-
-  screeninit();
-  
-  while (1) {
-    usleep(100);
-
-    j=getch();
-
-    if (j==ERR) continue;
-
-    if (j==3) break;
-    sprintf(buff, "%o\n", j);
-    addstr(buff);
-  }
-  endwin();
-}
-
-void test_keypress()
-{
-  int j, rev;
-  char buff[1024], buff2[64];
-
-  screeninit();
-  
-  while (1) {
-    usleep(100);
-
-    j=wgetch(stdscr);
-
-    if (j==ERR) continue;
-
-    if (j==3) break;
-    if (0 == owl_keypress_tostring(j, 0, buff2, 1000)) {
-      rev = owl_keypress_fromstring(buff2);
-      sprintf(buff, "%s : 0x%x 0%o %d %d %s\n", buff2, j, j, j, rev,
-	      (j==rev?"matches":"*** WARNING: Does Not Reverse"));
-    } else {
-      sprintf(buff, "UNKNOWN : 0x%x 0%o %d\n", j, j, j);
-    }
-      addstr(buff);
-  }
-  endwin();
-}
-
 
 #define OWL_DICT_NTESTS  20
@@ -155,27 +19,14 @@
 
   int numfailures=0;
-  if (argc==1 || (argc==2 && 0==strcmp(argv[1],"reg"))) {
-    printf("1..%d\n", OWL_UTIL_NTESTS+OWL_DICT_NTESTS+OWL_VARIABLE_NTESTS
-           +OWL_FILTER_NTESTS+OWL_OBARRAY_NTESTS);
-    numfailures += owl_util_regtest();
-    numfailures += owl_dict_regtest();
-    numfailures += owl_variable_regtest();
-    numfailures += owl_filter_regtest();
-    numfailures += owl_obarray_regtest();
-    if (numfailures) {
+  printf("1..%d\n", OWL_UTIL_NTESTS+OWL_DICT_NTESTS+OWL_VARIABLE_NTESTS
+         +OWL_FILTER_NTESTS+OWL_OBARRAY_NTESTS);
+  numfailures += owl_util_regtest();
+  numfailures += owl_dict_regtest();
+  numfailures += owl_variable_regtest();
+  numfailures += owl_filter_regtest();
+  numfailures += owl_obarray_regtest();
+  if (numfailures) {
       fprintf(stderr, "# *** WARNING: %d failures total\n", numfailures);
-    }
-    return(numfailures);
-  } else if (argc==2 && 0==strcmp(argv[1],"test1")) {
-    test1();
-  } else if (argc==2 && 0==strcmp(argv[1],"colorinfo")) {
-    colorinfo();
-  } else if (argc==2 && 0==strcmp(argv[1],"test4")) {
-    test4();
-  } else if (argc==2 && 0==strcmp(argv[1],"keypress")) {
-    test_keypress();
-  } else {
-    fprintf(stderr, "No test specified.  Current options are: reg test1\n");
   }
-  return(0);
+  return(numfailures);
 }
Index: text.c
===================================================================
--- text.c	(revision 3bcf12527e47f730a032a807fd38018ae8b13c7e)
+++ text.c	(revision f34dd65b3adbc2eedc045a674dd89b7e20257680)
@@ -6,115 +6,4 @@
 
 static const char fileIdent[] = "$Id$";
-
-/* start with line aline (where the first line is 1) and print 'lines'
- *  lines
- */
-int owl_text_truncate_lines(char *out, char *in, int aline, int lines)
-{
-  char *ptr1, *ptr2;
-  int i;
-
-  strcpy(out, "");
-  
-  if (aline==0) aline=1; /* really illegal use */
-
-  /* find the starting line */
-  ptr1=in;
-  if (aline!=1) {
-     for (i=0; i<aline-1; i++) {
-      ptr1=strchr(ptr1, '\n');
-      if (!ptr1) return(-1);
-      ptr1++;
-    }
-  }
-  /* ptr1 now holds the starting point */
-
-  /* copy in the next 'lines' lines */
-  if (lines<1) return(-1);
-  
-  for (i=0; i<lines; i++) {
-    ptr2=strchr(ptr1, '\n');
-    if (!ptr2) {
-      strcat(out, ptr1);
-      return(-1);
-    }
-    strncat(out, ptr1, ptr2-ptr1+1);
-    ptr1=ptr2+1;
-  }
-  return(0);
-}
-
-  
-/* the first column is column 0.  The message is expected to end in a
- * new line for now */
-void owl_text_truncate_cols(char *out, char *in, int acol, int bcol)
-{
-  char *ptr_s, *ptr_e, *ptr_c, *tmpbuff, *last;
-  int col, cnt, padding;
-  
-  tmpbuff=owl_malloc(strlen(in)+20);
-
-  strcpy(tmpbuff, "");
-  last=in+strlen(in)-1;
-  ptr_s=in;
-  while (ptr_s<last) {
-    ptr_e=strchr(ptr_s, '\n');
-    if (!ptr_e) {
-      /* but this shouldn't happen if we end in a \n */
-      break;
-    }
-    
-    if (ptr_e==ptr_s) {
-      strcat(tmpbuff, "\n");
-      ptr_s++;
-      continue;
-    }
-
-    col = 0;
-    cnt = 0;
-    padding = 0;
-    ptr_c = ptr_s;
-    while(col < bcol && ptr_c < ptr_e) {
-      gunichar c = g_utf8_get_char(ptr_c);
-      if (col + mk_wcwidth(c) > bcol) break;
-      col += mk_wcwidth(c);
-      ptr_c = g_utf8_next_char(ptr_c);
-      if (col >= acol) {
-	if (cnt == 0) {
-	  ptr_s = ptr_c;
-	  padding = col - acol;
-	}
-	++cnt;
-      }
-    }
-    if (cnt) {
-      while(padding-- > 0) {
-	strcat(tmpbuff, " ");
-      }
-      strncat(tmpbuff, ptr_s, ptr_c - ptr_s - 1);
-    }
-    strcat(tmpbuff, "\n");
-    ptr_s = ptr_e + 1;
-#if 0
-    /* we need to check that we won't run over here */
-    if ( (ptr_e-ptr_s) < (bcol-acol) ) {
-      len=ptr_e-(ptr_s+acol);
-    } else {
-      len=bcol-acol;
-    }
-    if ((ptr_s+len)>=last) {
-      len-=last-(ptr_s+len);
-    }
-
-    strncat(tmpbuff, ptr_s+acol, len);
-    strcat(tmpbuff, "\n");
-
-    ptr_s=ptr_e+1;
-#endif
-  }
-  strcpy(out, tmpbuff);
-  owl_free(tmpbuff);
-}
-
 
 void owl_text_indent(char *out, char *in, int n)
Index: util.c
===================================================================
--- util.c	(revision 601733df0126729fcd095240a5ef18b057830617)
+++ util.c	(revision f34dd65b3adbc2eedc045a674dd89b7e20257680)
@@ -125,12 +125,4 @@
   wattroff(sepwin, A_REVERSE);
   wnoutrefresh(sepwin);
-}
-
-
-void pophandler_quit(int ch)
-{
-  if (ch=='q') {
-    owl_popwin_close(owl_global_get_popwin(&g));
-  }
 }
 
@@ -373,62 +365,9 @@
 
   if (days>0) {
-    out=owl_sprintf("%i d %2.2i:%2.2i", days, hours, run);
+    out=owl_sprintf("%i d %2.2i:%2.2li", days, hours, run);
   } else {
-    out=owl_sprintf("    %2.2i:%2.2i", hours, run);
+    out=owl_sprintf("    %2.2i:%2.2li", hours, run);
   }
   return(out);
-}
-
-/* return the index of the last char before a change from the first one */
-int owl_util_find_trans(char *in, int len)
-{
-  int i;
-  for (i=1; i<len; i++) {
-    if (in[i] != in[0]) return(i-1);
-  }
-  return(i);
-}
-
-int owl_util_find_trans_short(short *in, int len)
-{
-  int i;
-  for (i=1; i<len; i++) {
-    if (in[i] != in[0]) return(i-1);
-  }
-  return(i);
-}
-
-/* Caller must free response. 
- * Takes in strings which are space-separated lists of tokens
- * and returns a single string containing no token more than once.
- * If prohibit is non-null, no token may start with a character
- * in prohibit.
- */
-char *owl_util_uniq(char *A, char *B, char *prohibit)
-{
-  
-  char *cat, **tok;
-  int toklen, i, j, first=1;
-  cat = owl_malloc(strlen(A)+strlen(B)+3);
-  strcpy(cat, A);
-  strcat(cat, " ");
-  strcat(cat, B);
-  tok = atokenize(cat, " ", &toklen);
-  strcpy(cat, "");
-  for (i=0; i<toklen; i++) {
-    int dup=0;
-    for (j=0; j<i; j++) {
-      if (!strcmp(tok[i], tok[j])) dup=1;
-    }
-    if (!dup && (!prohibit || !strchr(prohibit, tok[i][0]))) {
-      if (!first) {
-	strcat(cat, " ");
-      }
-      first=0;
-      strcat(cat, tok[i]);
-    }
-  }
-  atokenize_free(tok, toklen);
-  return(cat);
 }
 
@@ -641,7 +580,7 @@
       owl_function_error("Error opening file %s for writing", backupfilename);
       owl_free(backupfilename);
+      fclose(file);
       return;
     }
-    owl_free(backupfilename);
   }
 
@@ -682,38 +621,12 @@
     owl_function_error("WARNING: Error opening %s for writing.  Use %s to restore.", filename, backupfilename);
     owl_function_beep();
-    owl_free(line);
-    return;
-  }
-
-  fputs(text, file);
-  fclose(file);
-}
-
-/* add the string 'str' to the list 'list' of strings, only if it
- * is not already present
- */
-void owl_util_list_add_unique_string(owl_list *list, char *str)
-{
-  int i, j;
-
-  j=owl_list_get_size(list);
-  for (i=0; i<j; i++) {
-    if (!strcmp(str, owl_list_get_element(list, i))) return;
-  }
-  owl_list_append_element(list, owl_strdup(str));
-}
-
-int owl_util_common_strings_in_lists(owl_list *a, owl_list *b)
-{
-  int i, j, x, y;
-
-  j=owl_list_get_size(a);
-  for (i=0; i<j; i++) {
-    y=owl_list_get_size(b);
-    for (x=0; x<y; x++) {
-      if (!strcmp(owl_list_get_element(a, i), owl_list_get_element(b, x))) return(1);
-    }
-  }
-  return(0);
+  } else {
+    fputs(text, file);
+    fclose(file);
+  }
+
+  if (backup)
+    owl_free(backupfilename);
+  owl_free(text);
 }
 
@@ -881,11 +794,4 @@
 	      !strcmp("meep", skiptokens("foo 'bar quux' meep", 2)));
 
-  FAIL_UNLESS("owl_util_uniq 1", 
-	      !strcmp("foo bar x", owl_util_uniq("foo", "bar x", "-")));
-  FAIL_UNLESS("owl_util_uniq 2", 
-	      !strcmp("foo bar x", owl_util_uniq("foo", "bar -y x", "-")));
-  FAIL_UNLESS("owl_util_uniq 3", 
-	      !strcmp("meep foo bar", owl_util_uniq("meep foo", "bar foo meep", "-")));
-
   /* if (numfailed) printf("*** WARNING: failures encountered with owl_util\n"); */
   printf("# END testing owl_util (%d failures)\n", numfailed);
Index: variable.c
===================================================================
--- variable.c	(revision 451db9e0515b2671c88e0858f712b53a7fcc5b76)
+++ variable.c	(revision 4f15e8e9ceada0d4b2cc969ebf43b0a1fb3709ea)
@@ -351,10 +351,4 @@
 	       "                 the cursor will be near the center.\n",
 	       "normal,top,neartop,center,paged,pagedcenter" ),
-
-  OWLVAR_ENUM( "webbrowser" /* %OwlVarStub */, OWL_WEBBROWSER_NETSCAPE,
-	       "web browser to use to launch URLs",
-	       "When the 'w' key is pressed, this browser is used\n"
-	       "to display the requested URL.\n",
-	       "none,netscape,galeon,opera" ),
 
 
@@ -1056,21 +1050,4 @@
   FAIL_UNLESS("get int 7", 9==owl_variable_get_int(&vd,"typewinsize"));
 
-  FAIL_UNLESS("get enum", OWL_WEBBROWSER_NETSCAPE==owl_variable_get_int(&vd,"webbrowser"));
-  FAIL_UNLESS("get enum as string 1", 0==owl_variable_get_tostring(&vd,"webbrowser", buf, 1024));
-  FAIL_UNLESS("get enum as string 2", 0==strcmp(buf,"netscape"));
-  FAIL_UNLESS("set enum 1", 0==owl_variable_set_int(&vd,"webbrowser",OWL_WEBBROWSER_GALEON));
-  FAIL_UNLESS("get enum 2", OWL_WEBBROWSER_GALEON==owl_variable_get_int(&vd,"webbrowser"));
-  FAIL_UNLESS("set enum 1b", -1==owl_variable_set_int(&vd,"webbrowser",-3));
-  FAIL_UNLESS("set enum 1b", -1==owl_variable_set_int(&vd,"webbrowser",209));
-  FAIL_UNLESS("get enum 2b", OWL_WEBBROWSER_GALEON==owl_variable_get_int(&vd,"webbrowser"));
-  FAIL_UNLESS("set enum 3", 0==owl_variable_set_fromstring(&vd,"webbrowser","none",0,0));
-  FAIL_UNLESS("get enum 4", OWL_WEBBROWSER_NONE==owl_variable_get_int(&vd,"webbrowser"));
-  FAIL_UNLESS("set enum 5", 0==owl_variable_set_fromstring(&vd,"webbrowser","netscape",0,0));
-  FAIL_UNLESS("get enum 6", OWL_WEBBROWSER_NETSCAPE==owl_variable_get_int(&vd,"webbrowser"));
-  FAIL_UNLESS("set enum 7", -1==owl_variable_set_fromstring(&vd,"webbrowser","xxx",0,0));
-  FAIL_UNLESS("set enum 8", -1==owl_variable_set_fromstring(&vd,"webbrowser","",0,0));
-  FAIL_UNLESS("set enum 9", -1==owl_variable_set_fromstring(&vd,"webbrowser","netscapey",0,0));
-  FAIL_UNLESS("get enum 10", OWL_WEBBROWSER_NETSCAPE==owl_variable_get_int(&vd,"webbrowser"));
-
   owl_variable_dict_newvar_string(&vd, "stringvar", "", "", "testval");
   FAIL_UNLESS("get new string var", NULL != (v = owl_variable_get(&vd, "stringvar", OWL_VARIABLE_STRING)));
Index: wcwidth.c
===================================================================
--- wcwidth.c	(revision 47519e1bcab60a6026c4192bf5b20290f37f4737)
+++ wcwidth.c	(revision 49a8434e3707923940236017e5739cdc2c4d2b7a)
@@ -62,5 +62,5 @@
 #include <wchar.h>
 
-static struct interval {
+struct interval {               /* noproto */
   int first;
   int last;
